
Foreman - Bug #37168

Duplicate html-id on Settings-page

02/15/2024 04:24 PM - Markus Bucher

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10049

  

Description

Settings page uses the Setting-category as HTML-id.

When the katello-plugin is installed, katello is used as category and therefore as html-id for the Settings-tab.

However, <html><head><style id=katello> is also present. So the style-element gets 'activated' instead of the Settings-Tab.

Associated revisions

Revision 23d76698 - 02/16/2024 06:12 PM - Markus Bucher

Fixes #37168 - fix potential for duplicate html-id

History

#1 - 02/16/2024 03:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10049 added

#2 - 02/16/2024 06:12 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 02/16/2024 11:00 PM - Markus Bucher

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|23d76698942eb73226a6bb3ee3a329d78d3d8908.

#4 - 02/21/2024 04:27 PM - Griffin Sullivan

- Subject changed from duplicate html-id on Settings-page to Duplicate html-id on Settings-page
